Bug 544105 - (avillarrealpouw) The network interface does not come up when "netprofile=eth0" is added to the kernel params.
The network interface does not come up when "netprofile=eth0" is added to the...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-03 17:22 EST by Andres Villarreal
Modified: 2010-12-03 21:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 21:16:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andres Villarreal 2009-12-03 17:22:24 EST
Description of problem: When I add the "netprofile=eth0" parameter to the kernel invocation in grub.conf and disable the NetworkManager daemon, the interface will not go up. The interface can be set manually after bootup.


Version-Release number of selected component (if applicable): kernel 2.6.31.5-127.fc12.x86_64, system-config-network-tui version 1.5.99, release 1.fc12


How reproducible: always happens at boot up.


Steps to Reproduce:
********** problem # 1 ********************
[root@avillarrcasa ~]# killall -SIGTERM dhclient
[root@avillarrcasa ~]# ip link set eth0 down
[root@avillarrcasa ~]# /usr/sbin/system-config-network-cmd -e
DeviceList.Ethernet.eth0.AllowUser=False
DeviceList.Ethernet.eth0.AutoDNS=True
DeviceList.Ethernet.eth0.BootProto=dhcp
DeviceList.Ethernet.eth0.Device=eth0
DeviceList.Ethernet.eth0.DeviceId=eth0
DeviceList.Ethernet.eth0.HardwareAddress=00:16:17:70:29:9B
DeviceList.Ethernet.eth0.Hostname=avillarrcasa.villarrealpouw.name
DeviceList.Ethernet.eth0.IPv6Init=False
DeviceList.Ethernet.eth0.NMControlled=False
DeviceList.Ethernet.eth0.OnBoot=True
DeviceList.Ethernet.eth0.Type=Ethernet
HardwareList.Ethernet.eth0.Card.ModuleName=r8169
HardwareList.Ethernet.eth0.Description=Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet
HardwareList.Ethernet.eth0.Name=eth0
HardwareList.Ethernet.eth0.Status=system
HardwareList.Ethernet.eth0.Type=Ethernet
ProfileList.default.Active=True
ProfileList.default.ActiveDevices.1=eth0
ProfileList.default.DNS.Domainname=
ProfileList.default.DNS.Hostname=avillarrcasa.villarrealpouw.name
ProfileList.default.DNS.PrimaryDNS=200.31.197.210
ProfileList.default.DNS.SearchList.1=villarrealpouw.name
ProfileList.default.DNS.SecondaryDNS=201.244.70.34
ProfileList.default.DNS.TertiaryDNS=
ProfileList.default.HostsList.1.AliasList.1=localhost.localdomain
ProfileList.default.HostsList.1.AliasList.2=localhost4
ProfileList.default.HostsList.1.AliasList.3=localhost4.localdomain4
ProfileList.default.HostsList.1.AliasList.4=avillarrcasa.villarrealpouw.name
ProfileList.default.HostsList.1.Hostname=localhost
ProfileList.default.HostsList.1.IP=127.0.0.1
ProfileList.default.HostsList.2.AliasList.1=localhost.localdomain
ProfileList.default.HostsList.2.AliasList.2=localhost6
ProfileList.default.HostsList.2.AliasList.3=localhost6.localdomain6
ProfileList.default.HostsList.2.AliasList.4=avillarrcasa.villarrealpouw.name
ProfileList.default.HostsList.2.Hostname=localhost
ProfileList.default.HostsList.2.IP=::1
ProfileList.default.ProfileName=default
[root@avillarrcasa ~]# /usr/sbin/system-config-network-cmd -a --profile eth0
Network device activating...
Activating network device eth0, please wait...
An unhandled exception has occured.  This is most likely a bug.
Please file a detailed bug report against the component system-config-network at 
https://bugzilla.redhat.com/bugzilla
using the text below.
Component: system-config-network
Version: 1.5.99
Summary: TB /usr/share/system-config-network/netconfpkg/NC_functions.py:588:generic_run_dialog:AttributeError: 'list' object has no attribute 'join'
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-cmd", line 388, in main
    (ret, msg) = device.activate()
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 523, in activate
    dialog = dialog )
  File "/usr/share/system-config-network/netconfpkg/NC_functions.py", line 588, in generic_run_dialog
    log.log(1, "Running %s %s" % (command, argv.join()))
AttributeError: 'list' object has no attribute 'join'

Local variables in innermost frame:
searchPath: 0
errlabel: Cannot activate network device eth0!

title: Network device activating...
stdin: 0
argv: ['/sbin/ifup', 'eth0', 'up']
label: Activating network device eth0, please wait...
catchfd: (1, 2)
command: /sbin/ifup
closefd: -1
dialog: None
root: /
select: <module 'select' from '/usr/lib64/python2.6/lib-dynload/selectmodule.so'>

**************** problem # 2 ***************

The program /usr/bin/system-config-network-cmd is called by /etc/rc.d/rc.sysinit, line 818, but the state of the interface does not change.

  
Actual results: in file /usr/share/system-config-network/netconfpkg/NC_functions.py, line 588 an AttributeError appears and the program crashes.

During bootup the program system-config-network-cmd is called but no changes are seen in the interface's state.


Expected results: Device eth0 should have been set to "up" status and dhclient should have given it a starting configuration.


Additional info:
*********** problem 1 *****************
The line in file /usr/share/system-config-network/netconfpkg/NC_functions.py, line 588, prints some information in the logs, but has no effect in the program's function. In my case, the values that should have been written (as seen by pdb) are:

(Pdb) print command
/sbin/ifup
(Pdb) print param
['/sbin/ifup', 'eth0', 'up']

and the "join" function is not valid for its expected use in this context. I erased the line from the source code and everything now works.

**************** problem 2 *****************
By adding the "-a" parameter to the line 818 of /etc/rc.d/rc.sysinit, so it is seen as:

/usr/sbin/system-config-network-cmd -a --profile ${arg##netprofile=}

the bootup process does the expected activation of the interface and the activation of DHCP.
Comment 1 Andres Villarreal 2009-12-04 10:30:40 EST
If you change:

    log.log(1, "Running %s %s" % (command, argv.join()))

to:

    log.log(1, "Running %s %s" % (command, join(argv)))

in file /usr/share/system-config-network/netconfpkg/NC_functions.py, line 588

and:

    rx += ([ ('[^'+self.separators+']*' + seps) ] * fieldnum).join()

to:

    rx += "".join([ ('[^'+self.separators+']*' + seps) ] * fieldnum)

in file /usr/share/system-config-network/netconfpkg/conf/Conf.py, line 249

this mistake with the join command will be corrected from package system-config-network-tui and system-config-network
Comment 2 Bug Zapper 2010-11-04 00:25:09 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 21:16:08 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.